cayenne-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrey Razumovsky <razumovsky.and...@gmail.com>
Subject Re: Required cayenne dependencies not available in maven central
Date Tue, 12 Oct 2010 10:02:31 GMT
Hi,

These ones are defined in cayenne-parent POM and should've been downloaded
automatically. Are you trying to build Cayenne or just add Cayenne via
dependency?

2010/10/12 Marc Guenther <yoda@schli.ch>

> Hi,
>
> while cayenne itself is available at repo1.maven.org, some of its
> dependencies are not.
>
> When following the instructions here:
>  http://cayenne.apache.org/doc30/cayenne-and-maven.html
>
> I get errors about missing foundrylogic.vpp and resin-hessian libraries.
> The first one is available at http://objectstyle.org/maven2, the other at
> http://caucho.com/m2.
>
> I had to add the following repositories to my pom to make it work:
>    <repositories>
>        <repository>
>            <id>caucho</id>
>            <url>http://caucho.com/m2</url>
>            <snapshots>
>                <enabled>true</enabled>
>                <updatePolicy>always</updatePolicy>
>            </snapshots>
>            <releases>
>                <enabled>true</enabled>
>            </releases>
>        </repository>
>        <repository>
>            <id>objectstyle</id>
>            <url>http://objectstyle.org/maven2</url>
>            <snapshots>
>                <enabled>true</enabled>
>                <updatePolicy>always</updatePolicy>
>            </snapshots>
>            <releases>
>                <enabled>true</enabled>
>            </releases>
>        </repository>
>    </repositories>
>
> Would be nice to add this to the doc, or make the libs available at central
> somehow.
>
> Marc
>
>


-- 
Andrey

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message